Bug Hunting Session
Bug 61962 - When only a small letter changed to a big letter, calc do not execute modifying a cell, if there is an another occurrence in the same row
Summary: When only a small letter changed to a big letter, calc do not execute modifyi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking Calc-Cells
  Show dependency treegraph
 
Reported: 2013-03-07 11:15 UTC by Zoltán Hegedüs
Modified: 2019-12-03 14:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file, there is an another occurrence in the same row (6.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-03-07 11:16 UTC, Zoltán Hegedüs
Details
Example file, there is an another occurrence in the same row (6.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-03-07 11:20 UTC, Zoltán Hegedüs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltán Hegedüs 2013-03-07 11:15:09 UTC
0th: Open the attachment
1st: modify the letter 'n' to 'N' in the A1 cell
2nd: press Enter, this finishes the editing the cell
The text in the cell remained, do not changed.
This is a major error, for example, I observed this in file "password.ods", this may cause anybody loss her/his account.
Comment 1 Zoltán Hegedüs 2013-03-07 11:16:07 UTC
Created attachment 76109 [details]
Example file, there is an another occurrence in the same row
Comment 2 Zoltán Hegedüs 2013-03-07 11:18:26 UTC
(In reply to comment #0)
The links in the description are bad, these are created not by me.
Comment 3 Zoltán Hegedüs 2013-03-07 11:20:57 UTC
Created attachment 76110 [details]
Example file, there is an another occurrence in the same row
Comment 4 Urmas 2013-03-07 20:22:48 UTC
Confirmed with 3.03 master, but not with 4.0.3.
Comment 5 QA Administrators 2015-04-19 03:22:06 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-17 11:52:45 UTC
Did not observe consistently, but sometimes when I change the n in the middle of the string in A1 to capital N, it changes it back.
Once I even got this: changed last n to N, changed middle n to N, both changed back to lowercase.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 80ec99db4325a439a8a3f1d420d0a80f8bf9c439
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-16_00:00:20
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-09-20 10:00:52 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:09:49 UTC
Dear Zoltán Hegedüs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug